commit: 38ae465e7dbd60485887c78f2f2271c205421389
Author: Ian Stakenvicius <axs <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 16 16:56:28 2015 +0000
Commit: Ian Stakenvicius <axs <AT> gentoo <DOT> org>
CommitDate: Thu Jul 16 16:56:28 2015 +0000
URL: https://gitweb.gentoo.org/proj/mozilla.git/commit/?id=38ae465e
mozlinguas.eclass: dropped inherit of mozcoreconf-v3 for *-bin ${PN}s as it
adds to IUSE
eclass/mozlinguas.eclass | 9 ++++++++-
1 file changed, 8 insertions(+), 1 deletion(-)
diff --git a/eclass/mozlinguas.eclass b/eclass/mozlinguas.eclass
index 9ca35b1..a399254 100644
--- a/eclass/mozlinguas.eclass
+++ b/eclass/mozlinguas.eclass
@@ -7,13 +7,20 @@
# [email protected]
# @AUTHOR:
# Nirbheek Chauhan <[email protected]>
+# Ian Stakenvicius <[email protected]>
# @BLURB: Handle language packs for mozilla products
# @DESCRIPTION:
# Sets IUSE according to MOZ_LANGS (language packs available). Also exports
# src_unpack, src_compile and src_install for use in ebuilds, and provides
# supporting functions for langpack generation and installation.
-inherit mozextension mozcoreconf-v3
+inherit mozextension
+
+# Binary packages do not modify .mozconfig and so do not need mozcoreconf-v3
+# which is important since mozcoreconf-v3 adds to IUSE and *DEPEND
+if ! [[ ${PN} = *-bin ]]; then
+ inherit mozcoreconf-v3
+fi
case "${EAPI:-0}" in
0|1)